%define upstream_name    Dist-Zilla-Plugin-AuthorityFromModule
%define upstream_version 0.006

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Add metadata to your distribution indicating what module to copy PAUSE permissions from
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla)
BuildRequires: perl(Dist::Zilla::Role::MetaProvider)
BuildRequires: perl(Dist::Zilla::Role::ModuleMetadata)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(List::Util)
BuildRequires: perl(Moose)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(if)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
This is a the Dist::Zilla manpage plugin that adds the
'x_authority_from_module' and 'x_permissions_from_module' keys to your
distribution metadata, indicating from which module to copy
http://pause.perl.org permissions when a module in your distribution enters
the http://pause.perl.org index that has not ever previously been indexed.

Note that these fields aren't actually supported yet by
http://pause.perl.org -- that's still to come (as is figuring out which
field name everyone prefers, and ditching the other one).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes CONTRIBUTING INSTALL LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.6.0-2.mga6
+ Revision: 1025820
- Rebuild for perl 5.22.2

* Mon Dec 28 2015 shlomif <shlomif> 0.6.0-1.mga6
+ Revision: 916491
- imported package perl-Dist-Zilla-Plugin-AuthorityFromModule


* Mon Dec 28 2015 cpan2dist 0.006-1mga
- initial mageia release, generated with cpan2dist
